package com.hai.service;

import com.hai.entity.HighDiscount;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description: 优惠券
 * @Date: 2021/4/3 21:34
 */
public interface HighDiscountService {

    /**
     * @Author 胡锐
     * @Description 增加
     * @Date 2021/4/3 21:34
     */
    void insertDiscount(HighDiscount highDiscount);

    /**
     * @Author 胡锐
     * @Description 修改
     * @Date 2021/4/3 21:36
     **/
    void updateDiscount(HighDiscount highDiscount);

    /**
     * @Author 胡锐
     * @Description 根据id查询
     * @Date 2021/4/3 21:37
     **/
    HighDiscount getDiscountById(Long id);

    /**
     * 根据优惠券key查询
     * @param discountKey
     * @return
     */
    HighDiscount getDiscountByKey(String discountKey);

    /**
     * @Author 胡锐
     * @Description 查询优惠券列表
     * @Date 2021/4/3 21:39
     **/
    List<HighDiscount> getDiscount(Map<String,Object> map);

    
}
